

<?php

   


    $id = intval($_GET['id']);

    include '../rdb/conn.php';
    include '../comunes_php/cors.php';
 
    $sql= 'select count(0) from  envios_detalle  where  envio_id='.$id;
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    
    $sql= ' select envio_id,contrato_id,c.cliente,c.cant_productos,c.horarios_en_semana,';
    $sql.= 'c.horarios_en_sabado,c.zona, c.direccion,DATE_FORMAT(c.fecha_aprobado, "%Y/%m/%d") faprobado, DATE_FORMAT(ed.fecha_envio_real, "%d/%m/%Y %H:%m:%s") fenviado, ';
    $sql.= 'c.demora,DATE_FORMAT(ADDDATE(c.fecha_aprobado, INTERVAL c.demora DAY), "%Y/%m/%d") fentrega,saldo,comentarios,latitud,longitud,firma from  ';
    $sql.= ' vw_contratos c,envios_detalle ed where ed.contrato_id=c.id  ';
   // $sql.= ' ((estado_id in (3) ) or id in (select contrato_id from reclamos_contrato where fin_fecha is null)) ';
   // $sql.= ' and c.tipo_envio_id=3  ';
    $sql.= ' and ed.envio_id= '.$id.' order by  DATE_FORMAT(ed.fecha_envio_real, "%Y%m%d%H%m%s")  ,DATE_FORMAT(ADDDATE(c.fecha_aprobado, INTERVAL c.demora DAY), "%Y/%m/%d") ,zona';

    $rs = mysqli_query( $conn,$sql);


    
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;


    echo json_encode($result);
    


   
?>